#ifndef CATEGORY_H
#define CATEGORY_H

#include <selinux/selinux.h>
#include <stdlib.h>

#include <stdio.h>
#include <cstring>

char* get_lowlevel_from_range(const char *context_range);
char* get_highlevel_from_range(const char *context_range);
void get_sensitivity_and_categoryset_from_level(const char *context_level, char **sensitivity, char **categoryset);
void _add_category_to_array(const char *categoryset, char ***array, int *size);
char** get_category_array_from_categoryset(const char *context_categoryset, int *size);

#endif